Bug 494923 - multihead: max. supported resolution for ext. monitor is 1024x768
multihead: max. supported resolution for ext. monitor is 1024x768
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-08 14:14 EDT by Amit Shah
Modified: 2018-04-11 14:53 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 07:45:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg.0.log (132.92 KB, text/plain)
2009-04-16 02:02 EDT, Amit Shah
no flags Details
Xorg.0.log when kms is disabled. (274.02 KB, text/plain)
2009-04-25 00:19 EDT, Amit Shah
no flags Details
Xorg.log from a different computer to show the monitor can do more than 1024x768 (54.17 KB, text/plain)
2009-04-25 00:54 EDT, Amit Shah
no flags Details

  None (edit)
Description Amit Shah 2009-04-08 14:14:02 EDT
The ext. monitor I have connected only reports a max. resolution of 1024x768 whereas it's capable of doing more. This doesn't seem to be related just to the intel driver, my other T60 laptop with a X1400 ATI chip also seems to be reporting the same.

http://www.smolts.org/client/show/pub_5641980e-0bae-43f8-a38e-7432d580a0f1

# xrandr
Screen 0: minimum 320 x 200, current 1280 x 800, maximum 8192 x 8192
VGA1 connected (normal left inverted right x axis y axis)
   1024x768       60.0  
   800x600        60.3  
   640x480        59.9  
LVDS1 connected 1280x800+0+0 (normal left inverted right x axis y axis) 261mm x 163mm
   1280x800       60.0*+   50.0  
DVI1 connected 1024x768+0+0 (normal left inverted right x axis y axis) 0mm x 0mm
   1024x768       60.0* 
   800x600        60.3  
   640x480        59.9  
DVI2 connected 1024x768+0+0 (normal left inverted right x axis y axis) 0mm x 0mm
   1024x768       60.0* 
   800x600        60.3  
   640x480        59.9
Comment 1 Matěj Cepl 2009-04-10 11:32:22 EDT
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf, if available) and X server log file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file attachments using the bugzilla file attachment link below.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Amit Shah 2009-04-16 02:02:34 EDT
Created attachment 339789 [details]
Xorg.0.log
Comment 3 Amit Shah 2009-04-16 02:13:51 EDT
Don't have the xorg.conf file; attached the Xorg.0.log file.

I have just verified this with F11-snap1 as well, same result.
Comment 4 Adam Williamson 2009-04-16 18:33:13 EDT
The system believes you have a total of four active monitors - the laptop's internal panel, a monitor connected via an old-skool VGA port, and two monitors connected via DVI ports.

I suspect this is not, in fact, the case :) Am I right?

Can you test with KMS disabled - boot with 'nomodeset' as a kernel parameter - and see if that affects the behaviour?

Can you provide the output of 'xrandr' with *no* external monitors connected at all?

Thanks!

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 5 Amit Shah 2009-04-25 00:18:49 EDT
Even with kms disabled, my ext. vga output can do max. 1024x768.

Pasting all the requested info; will attach Xorg.0.log with kms disabled.

---------------
no vga, kms enabled:

[liveuser@localhost ~]$ xrandr
Screen 0: minimum 320 x 200, current 1280 x 800, maximum 8192 x 8192
VGA1 disconnected (normal left inverted right x axis y axis)
LVDS1 connected 1280x800+0+0 (normal left inverted right x axis y axis) 261mm x 163mm
   1280x800       60.0*+   50.0
DVI1 connected 1024x768+0+0 (normal left inverted right x axis y axis) 0mm x 0mm
   1024x768       60.0*
   800x600        60.3
   640x480        59.9
DVI2 connected 1024x768+0+0 (normal left inverted right x axis y axis) 0mm x 0mm
   1024x768       60.0*
   800x600        60.3
   640x480        59.9

---------------
no vga, no kms:

[liveuser@localhost ~]$ xrandr
Screen 0: minimum 320 x 200, current 1280 x 800, maximum 1280 x 1280
VGA disconnected (normal left inverted right x axis y axis)
LVDS connected 1280x800+0+0 (normal left inverted right x axis y axis) 261mm x 163mm
   1280x800       60.0*+   50.0
   1024x768       85.0     75.0     70.1     60.0
   832x624        74.6
   800x600        85.1     72.2     75.0     60.3     56.2
   640x480        85.0     72.8     75.0     59.9
   720x400        85.0
   640x400        85.1
   640x350        85.1
HDMI-1 disconnected (normal left inverted right x axis y axis)
HDMI-2 disconnected (normal left inverted right x axis y axis)


---------------

vga connected, no kms:

[liveuser@localhost ~]$ xrandr
Screen 0: minimum 320 x 200, current 1280 x 800, maximum 1280 x 1280
VGA connected (normal left inverted right x axis y axis)
   1024x768       60.0
   800x600        60.3
   640x480        59.9
LVDS connected 1280x800+0+0 (normal left inverted right x axis y axis) 261mm x 163mm
   1280x800       60.0*+   50.0
   1024x768       85.0     75.0     70.1     60.0
   832x624        74.6
   800x600        85.1     72.2     75.0     60.3     56.2
   640x480        85.0     72.8     75.0     59.9
   720x400        85.0
   640x400        85.1
   640x350        85.1
HDMI-1 disconnected (normal left inverted right x axis y axis)
HDMI-2 disconnected (normal left inverted right x axis y axis)
Comment 6 Amit Shah 2009-04-25 00:19:38 EDT
Created attachment 341272 [details]
Xorg.0.log when kms is disabled.
Comment 7 Amit Shah 2009-04-25 00:54:39 EDT
Created attachment 341273 [details]
Xorg.log from a different computer to show the monitor can do more than 1024x768

This is the Xorg.0.log file from a different computer using the monitor locally to show it really can do > 1024x768. The computer has an nvidia chip but uses the vesa driver.
Comment 8 Adam Williamson 2009-04-28 19:32:14 EDT
So we have two issues here: the phantom DVI outputs with kms enabled, and the failure to retrieve the EDID for the external monitor even with kms disabled. Kristian, which issue would you like to address in this report? I guess the second?

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 9 Bug Zapper 2009-06-09 09:30:17 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Amit Shah 2009-08-20 23:16:05 EDT
This happens because the monitor, a Samsung 740s, doesn't expose any EDID information. Also noted in bug 505829
Comment 12 Matěj Cepl 2009-11-05 13:25:50 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 13 Matěj Cepl 2010-02-26 07:26:49 EST
Could you please reply to the previous question? If you won't reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[Note please, that this is machine generated comment for large amount of bugs; due to some technical issues, it is possible we've missed some of the responses -- it is happens, please, just a make a comment about that; that we will see. Thank you]
Comment 14 Bug Zapper 2010-04-27 09:34:22 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 15 Bug Zapper 2010-06-28 07:45:05 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.